Article ID: 6284, created on Jun 16, 2009, last review on Aug 12, 2014

  • Applies to:
  • Plesk for Linux/Unix

Resolución

Sí, Parallels Plesk Panel soporta MySQL5 y PHP5. A continuación le ofrecemos una descripción más detallada:

Este soporte significa que no existe ningún punto en el código de Parallels Plesk Panel que entre en conflicto con estos. Generalmente, si reemplaza MySQL4 por MySQL5, esto no tiene ningún impacto sobre el propio Parallels Plesk Panel y todas las peticiones SQL que le envíe Paralles Plesk Panel desde cualquier punto de Plesk serán procesadas sin ningún tipo de problema. No existe ninguna dependencia que no permite instalar MySQL5.

Por lo que respecta a PHP, tenga en cuenta que nos referimos al PHP usado por los sitios web alojados. Este es cargado por la copia cliente de Apache como módulo (el mismo Parallels Plesk Panel usa otra copia del servidor Apache con otra compilación de PHP). Si da un vistazo a los configs de Apache, podrá comprobar que las directivas para ambos módulos PHP4 y PHP5 siempre están incluidas. Si reemplaza el módulo PHP4 por PHP5 y reinicia Apache, sus sitios y los scripts PHP seguirán funcionando correctamente.

Asimismo, ni MySQL ni PHP forman parte de Parallels Plesk Panel. Parallels no crea sus propios paquetes de MySQL y PHP, ni tampoco compila ni proporciona openssl, perl, xinetd y muchas otras aplicaciones de sistema usadas por Parallels Plesk Panel. Parallels Plesk Panel usa servicios estándar ya instalados en el sistema. Si en el sistema donde se ha instalado Parallels Plesk Panel se encuentra presente MySQL/PHP, Parallels Plesk Panel los usará. Si estas instalaciones no están presentes, Parallels Plesk Panel descargará e instalará paquetes estándar del fabricante del SO del desde el servidor de autoinstalación.

Lo mismo se puede decir de la instalación de Parallels Virtuozzo Containers. Las plantillas de SO de Parallels Virtuozzo Containers asú como las plantillas de aplicación sólo son creadas por Parallels como una copia de los paquetes estándar de los fabricantes del SO.

En general, Parallels Plesk Panel se analiza y se orienta a instalaciones de SO estándar con paquetes estándar del fabricante del SO. Si MySQL/PHP v5 está disponible por parte del fabricante del SO, por ejemplo en  SuSE 10.1 o FedoraCore 5, entonces es analizado con estos. Si un FedoraCore 1 no actualiza proporciona MySQL3, entonces la build de Parallels Plesk Panel para este SO es analizada con este. El código de Parallels Plesk Panel es casi idéntico para cualquier SO y no existen problemas globales con MySQL5 y PHP5 en 8.x, ambos se soportan y deberían funcionar sin ningún tipo de problema.

En lo concerniente a las instalaciones de MySQL5/PHP5, no existe ninguna recomendación o paso específico, ya que todos los pasos son idénticos para la actualización de cualquier otra aplicación (como la recomendación  "usar `rpm -U` para SOs como RedHat"). Obtenga las actualizaciones del paquete por parte del fabricante del SO y úselas. Si el fabricante del SO no ofrece dichas actualizaciones, entonces el MySQL/PHP v5 que intenta buscar sólo puede ser ofrecido por terceros. Existen cientos de builds personalizadas, por ejemplo http://www.atomicrocketturtle.com, que es un fuente fantástica para este tipo de actualizaciones. Aunque Parallels no puede garantizar nada de forma oficial por lo que respecta a actualizaciones de terceros, si obtiene un paquete personalizado adecuado para su entorno de SO - usted no experimentará ningún tipo de problema. Los problemas más frecuentes suelen estar relacionados con las dependencias con otras aplicaciones de sistema o de terceros y pueden solucionarse adecuadamente. Los administradores avanzados incluso pueden realizar compilaciones desde las fuentes.
 
Si experimenta algún problema, infórmenos enviando un email a bugreport@parallels.com e indique una descripción del problema: qué ha hecho, dónde y qué tipo de error ha aparecido, además de los detalles del sistema: SO, versión/build de Parallels Plesk Panel, builds de MySQL/PHP, dónde las consiguió y cualquier otra información que crea adecuada. Si cree que se trata de una incidencia propia de Parallels Plesk Panel, esta será corregida en las próximas actualizaciones.

Información Adicional


Nota:


Parallels Plesk Panel soporta totalmente MySQL 5 desde la versión 8.1 de Parallels Plesk Panel.


Artículos relacionados:


Cuando PHP se actualiza a PHP5 en Debian, el panel de Parallels Plesk Panel falla

Cómo puedo actualizar PHP a la versión 5 en un servidor Debian que tiene instalado Parallels Plesk Panel?

Se puede usar PHP4 y PHP5 de forma simultánea para aplicaciones web?



a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF